Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.transformers
Class ObjectToHttpClientMethodRequest

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageTransformer
              org.mule.transport.http.transformers.ObjectToHttpClientMethodRequest

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, MessageTransformer, Transformer, EndpointAware

    public class ObjectToHttpClientMethodRequest

extends AbstractMessageTransformer

`ObjectToHttpClientMethodRequest` transforms a MuleMessage into a HttpClient HttpMethod that represents an HttpRequest.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ObjectToHttpClientMethodRequest()`

Method Summary
`protected HttpMethod` | `createDeleteMethod(MuleMessage message)`
`protected HttpMethod` | `createGetMethod(MuleMessage msg, String outputEncoding)`
`protected HttpMethod` | `createHeadMethod(MuleMessage message)`
`protected MultipartRequestEntity` | `createMultiPart(MuleMessage msg, EntityEnclosingMethod method)`
`protected HttpMethod` | `createOptionsMethod(MuleMessage message)`
`protected HttpMethod` | `createPostMethod(MuleMessage msg, String outputEncoding)`
`protected HttpMethod` | `createPutMethod(MuleMessage msg, String outputEncoding)`
`protected HttpMethod` | `createTraceMethod(MuleMessage message)`
`protected String` | `detectHttpMethod(MuleMessage msg)`
`protected String` | `getBodyParameterName(MuleMessage message)`
`protected URI` | `getURI(MuleMessage message)`
`protected void` | `setHeaders(HttpMethod httpMethod, MuleMessage msg)`
`protected void` | `setupEntityMethod(Object src, String encoding, MuleMessage msg, EntityEnclosingMethod postMethod)`
`Object` | `transformMessage(MuleMessage msg, String outputEncoding)` Transform the message

Methods inherited from class org.mule.transformer.AbstractMessageTransformer
`checkReturnClass, doTransform, isSourceDataTypeSupported, transform, transform, transform`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, initialise, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getEndpoint, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.endpoint.EndpointAware
`setEndpoint`

Constructor Detail

### ObjectToHttpClientMethodRequest

    public ObjectToHttpClientMethodRequest()

Method Detail

### transformMessage

    public Object transformMessage(MuleMessage msg,
                                   String outputEncoding)
                            throws TransformerException

  Description copied from class: `AbstractMessageTransformer`
  Transform the message

  Specified by:
    `transformMessage` in class `AbstractMessageTransformer`
  Returns:
  Throws:
    `TransformerException`

### detectHttpMethod

    protected String detectHttpMethod(MuleMessage msg)

### createGetMethod

    protected HttpMethod createGetMethod(MuleMessage msg,
                                         String outputEncoding)
                                  throws Exception

  Throws:
    `Exception`

### createPostMethod

    protected HttpMethod createPostMethod(MuleMessage msg,
                                          String outputEncoding)
                                   throws Exception

  Throws:
    `Exception`

### getBodyParameterName

    protected String getBodyParameterName(MuleMessage message)

### createPutMethod

    protected HttpMethod createPutMethod(MuleMessage msg,
                                         String outputEncoding)
                                  throws Exception

  Throws:
    `Exception`

### createDeleteMethod

    protected HttpMethod createDeleteMethod(MuleMessage message)
                                     throws Exception

  Throws:
    `Exception`

### createHeadMethod

    protected HttpMethod createHeadMethod(MuleMessage message)
                                   throws Exception

  Throws:
    `Exception`

### createOptionsMethod

    protected HttpMethod createOptionsMethod(MuleMessage message)
                                      throws Exception

  Throws:
    `Exception`

### createTraceMethod

    protected HttpMethod createTraceMethod(MuleMessage message)
                                    throws Exception

  Throws:
    `Exception`

### getURI

    protected URI getURI(MuleMessage message)
                  throws URISyntaxException,
                         TransformerException

  Throws:
    `URISyntaxException`
    `TransformerException`

### setupEntityMethod

    protected void setupEntityMethod(Object src,
                                     String encoding,
                                     MuleMessage msg,
                                     EntityEnclosingMethod postMethod)
                              throws UnsupportedEncodingException,
                                     TransformerException

  Throws:
    `UnsupportedEncodingException`
    `TransformerException`

### setHeaders

    protected void setHeaders(HttpMethod httpMethod,
                              MuleMessage msg)
                       throws TransformerException

  Throws:
    `TransformerException`

### createMultiPart

    protected MultipartRequestEntity createMultiPart(MuleMessage msg,
                                                     EntityEnclosingMethod method)
                                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.